# BME 280 Library

Library Created for BME280 Temperature Sensor

## Example

```c
#include <bme280.h>

int main() {
    stdio_init_all();
    bme280_ctx* ctx = bme280_init(i2c0, 4, 5);
    while(true) {
        ctx->update(ctx);
        printf("Temp: %.1f°C Hum: %.2f%%",
            ctx->read_temp(ctx),
            ctx->read_humidity(ctx));
        sleep_ms(1000);
    }
    // Probably never reached
    bme280_deinit(ctx);
}
```
